org.sunflow.core.renderer

## Class BucketRenderer

- java.lang.Object
- - org.sunflow.core.renderer.BucketRenderer

All Implemented Interfaces:
  ImageSampler

    public class BucketRenderer
    extends java.lang.Object
    implements ImageSampler

### Constructor Summary

Constructors
Constructor and Description
`BucketRenderer()`

### Method Summary

Methods
`boolean` `prepare(Options options, Scene scene, int w, int h)` Prepare the sampler for rendering an image of w x h pixels
`void` `render(Display display)` Render the image to the specified display.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BucketRenderer

    public BucketRenderer()

### Method Detail

#### prepare

    public boolean prepare(Options options,
                  Scene scene,
                  int w,
                  int h)

Description copied from interface: `ImageSampler`
Prepare the sampler for rendering an image of w x h pixels

Specified by:
  `prepare` in interface `ImageSampler`
  `w` - width of the image
  `h` - height of the image

#### render

    public void render(Display display)

Description copied from interface: `ImageSampler`
Render the image to the specified display. The sampler can assume the display has been opened and that it will be closed after the method returns.

Specified by:
  `render` in interface `ImageSampler`
Parameters:
  `display` - Display driver to send image data to